// calculates breakpoints for total scores
// from breakpoints for each item
// (normally, tot = m.items = number of items,
// including any hmwk)
//
#include "mkevals.h"

void calc_tot_bps(matrix& bp, vector<dbl>& wt, uns tot)
{
    for (uns k = 0 ; k < nbpts ; k++){
        bp[tot][k] = 0.0;                // reset bp[tot][k]
        for (uns j = 0 ; j < tot ; j++){
            bp[tot][k] += wt[j]*bp[j][k];
        }
    }
}

