// gets last name from header line
// and converts all but initial characters
// of words to lower case
// gives special attention to Scottish (e.g., McDonald) and
// Irish (e.g., O'Brien) names
// returns name
#include "mkevals.h"

string getname(string& header)
{
    const char space = ' ';
    const char comma = ',';                 // registrar's field separator
    const char hyphen = '-';
    no_yes convert = no;
    string name = header;
    name = name.substr(name.find(comma)+1); // chop off front
    name = name.erase(name.find(comma));    // chop 2nd comma thru end

// convert all but first letter and letters after spaces or
// hyphens to lower case:

    for (uns k = 0 ; k < name.length() ; k++){
        if ((name[k] == space) || (name[k] == hyphen)) convert = no;
        else if (convert == yes) name[k] = tolower(name[k]);
        else convert = yes;
    }

// fix scottish and irish names:

    if (name[0] == 'M' && name[1] == 'c' && name[2] != space) {
        name[2] = toupper(name[2]);
    }
    if (name[0] == 'O' && name[1] == space) {
        name[1] = '\'';
        name[2] = toupper(name[2]);
    }
    if (name[0] == 'O' && name[1] == '\'') {
        name[2] = toupper(name[2]);
    }

    return name;
}

