// gets the breakpoints and weights from an item line
// and puts them into the breakpoint matrix
// and the weight vector
//
#include "mkevals.h"

void get_bps_and_wt(string& item, matrix& bp, vector<dbl>& wt)
{
    string word;
    dbl val;
    vector<dbl> vec;         // to collect break points
    isstream iss(item.c_str());
    iss >> word;             // dump 1st piece into word
    for (uns k = 0 ; k < nbpts ; ++k) {
        gassert(iss >> val); // make sure enough entries
        vec.push_back(val);
        if (k)
            if (vec[k] < vec[k-1])
                err("found wrong breakpoint ordering at "
                        "line marked \'", word, "\'");
    }
    bp.push_back(vec);       // add the vec row to bp
    gassert(iss >> val);     // should be the last one
    wt.push_back(val);
}
