// finds 'M' or 'F' from header line and sets relevant
// pronouns accordingly
//
#include "mkevals.h"

string mr, He, he, His, his;            // extern strings

void setpronouns(string& header)
{
    string sex = header;
    string::size_type p;

    if ((p = sex.find(",M,")) < string::npos){
        sex = sex.erase(0, p+1);        // up to and including comma
        sex = sex.erase(sex.find(",")); // chops after sexchar
    }
    else if ((p = sex.find(",F,")) < string::npos){
        sex = sex.erase(0, p+1);
        sex = sex.erase(sex.find(","));
    }
    else err("found no sex character on line ", header);

    char c = sex[0];
    switch(c) {
        case 'M':
            mr = MR;
            He = HE;
            he = HELC;
            His = HIS;
            his = HISLC;
            break;
        case 'F':
            mr = MS;
            He = SHE;
            he = SHELC;
            His = HER;
            his = HERLC;
            break;
        default:
            err("should not get here in setpronouns");
    }
}
